mina-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark <elihusma...@gmail.com>
Subject what version of Log4J?
Date Mon, 17 Jul 2006 02:30:58 GMT
What version of Log4J should one use with MINA?  I have been
developing/testing with MINA version 0.9.5.  I get the following
exception when trying to run the EchoServer example using  Log4J
1.2.13:

Exception in thread "AnonymousIoService-2-1"
java.lang.NoSuchMethodError:
org.apache.log4j.Logger.isEnabledFor(Lorg/apache/log4j/Level;)Z
        at org.slf4j.impl.Log4jLoggerAdapter.isWarnEnabled(Log4jLoggerAdapter.java:239)
        at org.apache.mina.util.SessionLog.warn(SessionLog.java:99)
        at org.apache.mina.common.support.AbstractIoFilterChain.callNextExceptionCaught(AbstractIoFilterChain.java:566)
        at org.apache.mina.common.support.AbstractIoFilterChain.access$900(AbstractIoFilterChain.java:51)
        at org.apache.mina.common.support.AbstractIoFilterChain$EntryImpl$1.exceptionCaught(AbstractIoFilterChain.java:782)
        at org.apache.mina.filter.thread.ThreadPoolFilter.processEvent(ThreadPoolFilter.java:248)
        at org.apache.mina.filter.thread.ThreadPoolFilter$ProcessEventsRunnable.run(ThreadPoolFilter.java:300)
        at org.apache.mina.filter.thread.LeaderFollowersThreadPool$Worker.run(LeaderFollowersThreadPool.java:319)


Thanks.
Mark

Mime
View raw message